Subject: Re: bug#67006: 30.0.50; w32-shell-execute will freeze Emacs on Windows 10

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Nov 2023 21:22:22 +0200

> From: Eason Huang <[email-masked]>
> Date: Thu, 09 Nov 2023 10:35:09 +0800
> 
> I found that when running w32-shell-execute with "open" will cause Emacs
> freeze. And I have to kill the process of Emacs to restart.
> 
> Steps to reproduce:
> 
> 1. Start Emacs with `emacs -Q`
> 2. M-: to eval the code below, you can change the second arg to other folder: 
> ```
> (w32-shell-execute "open" "~/.emacs.d/")
> ```
> 
> 3. Now the Emacs is frozen, C-Q also can not recover it. So you have to
> kill process of Emacs, and restart Emacs again.

I cannot reproduce this.  I tried this on several Windows systems and
several Emacs versions, including Windows 10 and Emacs 30, and I don't
see the hang.  (I don't have a Windows 10 system with Emacs 30, so I
tested there with an older version, but unless you are saying that
this happens only with Emacs 30 and only on Windows 10, I don't think
this matters.)

Tell me, does the directory "~/.emacs.d/" exist on that system?  If
you type "C-x C-f ~/.e" and press TAB, do you see ".emacs.d" among the
completion candidates?

Another thing to check is whether you customized your Windows system
in a way that affects the "open" operation on directories.

Also, what happens if you type

  M-: (w32-shell-execute nil "~/.emacs.d/")

?